{{ $appSection := "client" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "permission-proxy.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
spec:
  ports:
  - port: {{ index .Values $appSection "port" }}
    targetPort: {{ index .Values $appSection "port" }}
  selector:
    app.kubernetes.io/name: {{ $appName }}
